// Fonts
@import url('https://fonts.googleapis.com/css?family=Nunito');

// Variables
@import 'variables';

// Bootstrap
//@import '~bootstrap/scss/bootstrap';
.dropdown-content {
    width: max-content !important;
    height: auto !important;
}
#logo {
    background-image: url("../images/tarot_icon.png");
    background-size: cover;
    width: 100%;
    height: 100%;
}
#home {
    display: flex;
}
#score_table {
    margin-top: 20px;
    border-radius: 50px;

    tbody {
        cursor: pointer;
        border: 0;
        background-color: #B5BAAD;

        td {
            border-radius: 0;
        }

        #selected {
            background-color: #00956B;
        }
    }

    thead {
        background-color: gray;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
        border: 0;

        th {
            border-radius: 0;

        }

        th:first-child {
            border-top-left-radius: 10px;
        }

        th:last-child {
            border-top-right-radius: 10px;
        }
    }

    tr:last-child td:first-child {
        border-bottom-left-radius: 10px;
    }

    tr:last-child td:last-child {
        border-bottom-right-radius: 10px;
    }


}

#contrat {
    display: flex;
    width: 100%;
    justify-content: space-around;
}

.att_def {
    display: flex;
    width: 100%;
    justify-content: space-around;
}

.custom_radio {
    background-color: #B5BAAD;
    display: inline-block;
    border-radius: 20px;

}

#checkboxes input[type=checkbox] {
    display: none;
}

#checkboxes input[type=checkbox]:checked + .radio {
    background-color: #00956B;
    color: black;
}

.input-hand {
    display: flex;
    width: 100%;
    justify-content: space-around;
}

.radio-input {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 33%;
    margin: 50px;

    label {
        color: black;
        margin-top: 20px;
        width: 100%;
        height: 100%;
        font-size: 150%;
        text-align: center;
        padding: 30px;
        display: flex;
        justify-content: center; /* align horizontal */
        align-items: center; /* align vertical */
        cursor: pointer;
    }

    .trio {
        height: 33%;
    }

    .quatuor {
        height: 25%;
    }
}

.top-bar {
    display: flex;

    .dropdown-button {
        margin: auto;
        margin-left: 5px;
    }
}

#p4_field {
    display: none;
}

#p5_field {
    display: none;
}

.game-container {
    background-color: gray;
    border-radius: 10px;
    width: 40%;
    margin: 3%;

    table {
        width: 100%;
        border: none;
        table-layout: fixed;

        tr {
            border: none;
        }

        thead {
            border: none;

            th {
                color: black;
                border: none;

            }
        }

        tbody {
            border: none;

            td {
                color: black;
                border: none;

            }
        }
    }

}

.input_checked {
    background-color: #00956B;
}

#error {
    p {
        color: red;
        font-size: 25px;
    }
}

.nav-wrapper {
    background-color: #00956B;
}

.btn {
    background-color: #B5BAAD !important;
}

//Materialize
// Materialize
@import "node_modules/materialize-css/sass/materialize";
